[ANNOUNCEMENT] Updated: {gettext/gettext-devel/libgettextpo0/libintl8/libasprintf0}-0.18.1.1-1

Charles Wilson cygwin@cwilson.fastmail.fm
Mon Aug 29 00:21:00 GMT 2011


gettext is the GNU package which provides 'national language support'
for other programs. It includes a number of utility programs.

Routine update.

[[ compiled using gcc-4.3.4-4 and g++-4.3.4-4 ]]

NOTE: any clients of libasprintf0 must be recompiled, as that DLL is
a C++ library, and older versions were compiled with g++-3.4.4.  This
version was compiled using g++-4.3.4, and is not compatible -- but,
contrary to typical cygwin practice, the DLL number has NOT been changed
to indicate the break in compatibility (see below).  Later updates MAY
use g++-4.[5,6] -- when (if) that happens, there will be another
backwards-incompatible change to the libasprintf0 DLL.  In that case,
too, there will NOT be a DLL number change (unless the API changes for
some other reason).

For more information concerning the decision NOT to increment the DLL
number due to compiler-induced incompatibility, see this thread:
http://cygwin.com/ml/cygwin-apps/2009-04/msg00034.html

However, these concerns apply ONLY to the libasprintf0 DLL; the other
libraries are C, and are therefore unaffected, and continue to be
backwards-compatible.

Changes since gettext-0.17-11
========================================
* Update to latest upstream release
* Built using gcc4 (new dependencies on libgcc, libstdc++, and libgomp
  runtime DLLs). The downside of this is that it may trigger even more
  "*** unable to remap ***" errors; use rebaseall.
* autopoint now uses git instead of cvs
* Link xgettext against "wide" version of ncurses
* Build note: autoreconf'ed using gcc-tools-epoch2-auto{conf,make}
  That package provides ac-2.64+am-1.11.1, which are old enough that
  gettext's m4 files don't trigger warnings; significantly cuts down on
  the amount of patching needed...
* Installed emacs .el files into /usr/share/doc/Cygwin/gettext/ -- user
  can copy to $site_emacs or whatever is appropriate.

-- 
Charles Wilson
volunteer gettext maintainer for cygwin

====================================================================

To update your installation, click on the "Install Cygwin now" link
on the http://cygwin.com/ web page.  This downloads setup.exe to
your system.  Then, run setup and answer all of the questions.

              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there.  It will be in the format:

cygwin-announce-unsubscribe-you=yourdomain.com@cygwin.com

If you need more information on unsubscribing, start reading here:

http://sourceware.org/lists.html#unsubscribe-simple

Please read *all* of the information on unsubscribing that is
available starting at this URL.



--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list